APT-CONFIG(8)

février 2004

NAME
apt-config - Programme d'interrogation de la configuration d'APT

SYNOPSIS

apt-config [-hv] [-o=option de configuration] [-c=fichier] {[shell] | [dump]}

DESCRIPTION

apt-config est un programme interne utilisé par différents composants d'APT ; il offre la possibilité d'une configuration cohérente et permet aux applications conçues sous forme de script une utilisation simple du fichier de configuration principal /etc/apt/apt.conf.

À moins que l'option -h ou --help ne soit donnée, l'une des commandes suivantes doit être présente.

shell
    Le terme shell est utilisé pour accéder aux informations de configuration depuis un script shell. Deux arguments doivent lui être donnés ; le premier est une variable du shell et le second une valeur de configuration à demander. La sortie standard consiste en une liste de commandes d'assignation de shell pour chaque valeur présente. Dans un script shell, cette commande devrait être utilisée comme suit :

        OPTS="-f"
        RES=`apt-config shell OPTS MyApp::Options`
        eval $RES
    La variable d'environnement du shell $OPTS sera définie par la valeur de MyApp::Options ou, par défaut, la valeur -f.

    L'élément de configuration peut être suivi par /[fdbi]. « f » renvoie un nom de fichier, « d » un nom de répertoire, « b » renvoie « true » ou « false » et « i » renvoie un entier. Chacune de ses valeurs est normalisée et vérifiée.

dump
    Affiche seulement le contenu de l'espace de configuration.

OPTIONS

Toutes les options de la ligne de commande peuvent être définies dans le fichier de configuration, les descriptions indiquant l'option de configuration concernée. Pour les options booléennes, vous pouvez inverser les réglages du fichiers de configuration avec -f-,--no-f, -f=no et d'autres variantes analogues.

-h, --help
    Afficher un bref résumé de l'utilisation.

-v, --version
    Afficher la version du programme.

-c, --config-file
    Fichier de configuration ; indique le fichier de configuration à utiliser. Le programme lira le fichier de configuration par défaut puis le fichier indiqué ici. Si les réglages de configuration doivent être établis avant l'analyse des fichiers de configuration par défaut, un fichier peut être indiqué avec la variable d'environnement APT_CONFIG. Veuillez consulter apt.conf(5) pour des informations sur la syntaxe d'utilisation.

-o, --option
    Définir une option de configuration ; permet de régler une option de configuration donnée. La syntaxe est -o Foo::Bar=bar. -o et --option peuvent être utilisées plusieurs fois pour définir des options différentes.

VOIR AUSSI

apt.conf(5)

DIAGNOSTICS

apt-config retourne zéro après un déroulement normal, et le nombre 100 en cas d'erreur.

BOGUES

Page des bogues d'APT[1]. Si vous souhaitez signaler un bogue à propos d'APT, veuillez lire /usr/share/doc/debian/bug-reporting.txt ou utiliser la commande reportbug(1).

TRADUCTEURS

Jérôme Marant, Philippe Batailler, Christian Perrier bubulle@debian.org (2000, 2005, 2009, 2010), Équipe de traduction francophone de Debian debian-l10n-french@lists.debian.org

Veuillez noter que cette traduction peut contenir des parties non traduites Cela est volontaire, pour éviter de perdre du contenu quand la traduction est légèrement en retard sur le contenu d'origine.

AUTHORS

Jason Gunthorpe

Équipe de développement d'APT

NOTES

1.  Page des bogues d'APT
    http://bugs.debian.org/src:apt